Bug 1309840 - [abrt] gnome-font-viewer: strlen(): gnome-font-viewer killed by SIGSEGV
[abrt] gnome-font-viewer: strlen(): gnome-font-viewer killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b7e7fd6cb2665c18ed5ce0f60e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 14:50 EST by Joachim Frieben
Modified: 2016-04-15 07:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-font-viewer-3.20.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 07:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.04 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: cgroup (259 bytes, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: core_backtrace (16.50 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: dso_list (9.39 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: environ (3.34 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: maps (47.81 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: mountinfo (3.73 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: open_fds (6.82 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-18 14:50 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2016-02-18 14:50:09 EST
Version-Release number of selected component:
gnome-font-viewer-3.16.2-4.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gnome-font-viewer clR9x15.pcf
crash_function: strlen
executable:     /usr/bin/gnome-font-viewer
global_pid:     457
kernel:         4.5.0-0.rc4.git1.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 text_to_glyphs at sushi-font-widget.c:107
 #2 draw_string at sushi-font-widget.c:198
 #3 sushi_font_widget_draw at sushi-font-widget.c:639
 #4 gtk_widget_draw_internal at gtkwidget.c:6988
 #5 gtk_container_propagate_draw at gtkcontainer.c:3810
 #6 gtk_container_draw at gtkcontainer.c:3630
 #7 _gtk_pixel_cache_draw at gtkpixelcache.c:476
 #8 gtk_viewport_render at gtkviewport.c:355
 #9 gtk_css_custom_gadget_draw at gtkcsscustomgadget.c:159

Potential duplicate: bug 1275042
Comment 1 Joachim Frieben 2016-02-18 14:50:13 EST
Created attachment 1128300 [details]
File: backtrace
Comment 2 Joachim Frieben 2016-02-18 14:50:15 EST
Created attachment 1128301 [details]
File: cgroup
Comment 3 Joachim Frieben 2016-02-18 14:50:16 EST
Created attachment 1128302 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2016-02-18 14:50:18 EST
Created attachment 1128303 [details]
File: dso_list
Comment 5 Joachim Frieben 2016-02-18 14:50:19 EST
Created attachment 1128304 [details]
File: environ
Comment 6 Joachim Frieben 2016-02-18 14:50:20 EST
Created attachment 1128305 [details]
File: exploitable
Comment 7 Joachim Frieben 2016-02-18 14:50:21 EST
Created attachment 1128306 [details]
File: limits
Comment 8 Joachim Frieben 2016-02-18 14:50:23 EST
Created attachment 1128307 [details]
File: maps
Comment 9 Joachim Frieben 2016-02-18 14:50:24 EST
Created attachment 1128308 [details]
File: mountinfo
Comment 10 Joachim Frieben 2016-02-18 14:50:25 EST
Created attachment 1128309 [details]
File: namespaces
Comment 11 Joachim Frieben 2016-02-18 14:50:27 EST
Created attachment 1128310 [details]
File: open_fds
Comment 12 Joachim Frieben 2016-02-18 14:50:28 EST
Created attachment 1128311 [details]
File: proc_pid_status
Comment 13 Joachim Frieben 2016-02-18 14:50:29 EST
Created attachment 1128312 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 10:26:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Matthias Clasen 2016-03-28 10:05:51 EDT
Looks like this was fixed upstream in https://bugzilla.gnome.org/show_bug.cgi?id=757680

Note You need to log in before you can comment on or make changes to this bug.